" Turn off vi compatibility
set nocompatible

call plug#begin()

Plug 'rust-lang/rust.vim', { 'for': 'rust' }
"Plug 'racer-rust/vim-racer', { 'for': 'rust' }
"Plug 'Shougo/deoplete.nvim', { 'do': ':UpdateRemotePlugins' }
"Plug 'vim-syntastic/syntastic'
"Plug 'scrooloose/nerdtree'
"Plug 'Xuyuanp/nerdtree-git-plugin'
Plug 'airblade/vim-gitgutter'
"Plug 'tpope/vim-fugitive'
Plug 'easymotion/vim-easymotion'
"Plug 'rhysd/devdocs.vim'
Plug 'vim-airline/vim-airline'
Plug 'dracula/vim'

call plug#end()

set smartindent
set autoindent
filetype plugin indent on

"autocmd FileType ruby set shiftwidth=2

ino <up> <Nop>
ino <down> <Nop>
ino <left> <Nop>
ino <right> <Nop>

no <up> ddkP
no <down> ddp
no <left> :bp<CR>
no <right> :bn<CR>

nmap gK <Plug>(devdocs-under-cursor)

if has("termguicolors")
    set termguicolors
endif
colorscheme dracula

let g:airline_theme='dracula'

set number

set statusline+=%#warningmsg#
set statusline+=%{SyntasticStatuslineFlag()}
set statusline+=%*

let g:syntastic_always_populate_loc_list = 1
let g:syntastic_auto_loc_list = 1
let g:syntastic_loc_list_height = 5
let g:syntastic_check_on_open = 1
let g:syntastic_check_on_wq = 0

let g:deoplete#enable_at_startup = 1

let g:syntastic_rust_checkers = ['rustc']

" C-x-C-o to use completion suggestion
set hidden
let g:racer_cmd = "racer"
let g:racer_experimental_completer = 1

let g:airline#extensions#tabline#enabled = 1
let g:airline_powerline_fonts=1
